Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004031 [JEDI VCL] 00 JVCL Components block always 2007-01-04 11:06 2007-01-15 08:46
Reporter Salvatore Besso View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.20
Summary 0004031: TJvAppRegistryStorage.ValueStored doesn't work
Description TJvAppRegistryStorage.ValueStored doesn't work and returns False even if the value exists in one of the storages. Please use the attached test case.
Additional Information
Tags No tags attached.
Attached Files zip file icon Test case.zip [^] (12,975 bytes) 2007-01-04 11:06

- Relationships

-  Notes
(0010542)
Salvatore Besso (reporter)
2007-01-04 11:20

I forgot to mention that the JVCL version is 3.30 and the snapshot I'm currently using is about of the beginning of november 2006. JvAppRegistryStorage.pas file date is 1-Nov-2006
(0010553)
jfudickar (developer)
2007-01-07 07:07

Hi,

it's not a problem of the component, it's more a problem of your usage :-)

The AppStorage Component is not connected to any of your formstorage components (the formstorage components are connected to the appstorage) and so the appstorage didn't know the formstorages.

Change your code to:

procedure TForm1.Button1Click(Sender: TObject);
var
  Path, S: string;

begin
  // The value used for testing is in InternetStore, and is number 6
  Path := 'Internet\LogDeliveryAddress';
  S := 'TJvAppRegistryStorage.ValueStored method returned:'0000013#10#13#10;
  if RegistryStorage.ValueStored(Path) then
    S := S + 'True'
  else S := S + 'False';
  ShowMessage(S)
end;


This will work.

Greetings
Jens
(0010558)
Salvatore Besso (reporter)
2007-01-11 04:07

> it's not a problem of the component, it's more a problem of your usage :-)

whooops :-) I'll try.

Sorry to answer so late, I have monitored this issue but never received the notification of your reply...

Mmmhhh...
(0010562)
Salvatore Besso (reporter)
2007-01-15 08:26

ok, it works :-) You can close this issue, thanks.
(0010564)
obones (administrator)
2007-01-15 08:45

As per OP's indications

- Issue History
Date Modified Username Field Change
2007-01-04 11:06 Salvatore Besso New Issue
2007-01-04 11:06 Salvatore Besso File Added: Test case.zip
2007-01-04 11:10 Salvatore Besso Issue Monitored: Salvatore Besso
2007-01-04 11:20 Salvatore Besso Note Added: 0010542
2007-01-07 07:04 jfudickar Status new => assigned
2007-01-07 07:04 jfudickar Assigned To => jfudickar
2007-01-07 07:07 jfudickar Note Added: 0010553
2007-01-07 07:07 jfudickar Status assigned => feedback
2007-01-11 04:07 Salvatore Besso Note Added: 0010558
2007-01-15 08:26 Salvatore Besso Note Added: 0010562
2007-01-15 08:27 Salvatore Besso Note Added: 0010563
2007-01-15 08:31 Salvatore Besso Note Deleted: 0010563
2007-01-15 08:45 obones Status feedback => resolved
2007-01-15 08:45 obones Fixed in Version => 3.30
2007-01-15 08:45 obones Resolution open => fixed
2007-01-15 08:45 obones Note Added: 0010564
2010-05-24 14:40 Salvatore Besso Issue End Monitor: Salvatore Besso


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker